import Foundation
import App

abbrev = 'Antares_TOS'
iconName = 'Antares_TOS'
longName = 'Antares Class'
shipFile = 'Antares_TOS' 
menuGroup = 'TOS Ships'
playerMenuGroup = 'TOS Ships'
SubMenu = ['Federation']
species = App.SPECIES_GALAXY

Foundation.ShipDef.Antares_TOS = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, 'SubMenu': SubMenu })

Foundation.ShipDef.Antares_TOS.desc = "U.S.S. Antares NCC-1501 was an Antares-Class Federation Survey Vessel in the 23rd century.\n\nPlanetary survey was traditionally conducted by vessels with sophisticated sensor systems in planetary-orbit and would carry out research on the physical, atmospheric, chemical, mineral and biological characteristics of a planetary body, gathering samples ranging from high atmospheric and sub-terrain sources.\n\nThe Antares-class ships were also used by Starfleet to gather intelligence by monitoring the sub-space and intra-planetary communications as well as ship movements of different species in various parts of the Alpha Quadrant. At the time these ships were active, the mission of the ships was covert and discussion of the true mission was prohibited. The mission of the ships was publicly given as conducting research into atmospheric and communications phenomena. For these missions, the ships carried a crew of Starfleet personnel whose specialty was intercepting sub-space and planetary communications and gathering intelligence. The ships were moderately armed and not capable of long-term combat operations."

if menuGroup:           Foundation.ShipDef.Antares_TOS.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Antares_TOS.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

